iPWMinder Logo

iPWMinder has the following System Requirements:

Devices: iPhone or iPod Touch are recommended but iPad is supported
iOS version: 4.2 or higher
Language: English
PWMinder Desktop: 2.6 (3.0 Recommended) to be able to edit data on Desktop computer (optional)
Other Software: iTunes or iExplorer, to transfer files (optional)
Dropbox Integration: A Dropbox account (optional)

PWMinder on iPhone